# Deprecated API

## Contents

- Interfaces
- Classes
- Fields
- Methods
- Constructors

Deprecated Interfaces
Interface
Description
org.apache.sling.testing.clients.util.poller.Poller
use `Polling` instead.

Deprecated Classes
Class
Description
org.apache.sling.testing.clients.util.poller.AbstractPoller
use `Polling` instead.
org.apache.sling.testing.clients.util.poller.PathPoller
org.apache.sling.testing.clients.util.TimeoutsProvider
duplicate of `TimeoutsProvider`. This will be removed in the future, so switch to the other one instead

Deprecated Fields
Field
Description
org.apache.sling.testing.clients.osgi.OsgiInstanceConfig.waitCount

Deprecated Methods
Method
Description
org.apache.sling.testing.clients.AbstractSlingClient.getConnectionManager()
org.apache.sling.testing.clients.AbstractSlingClient.getParams()
org.apache.sling.testing.clients.indexing.IndexingClient.uninstall()
Use #uninstallWithRetry
org.apache.sling.testing.clients.osgi.BundlesInstaller.waitForBundlesInstalled(List<String>, int)
use `BundlesInstaller.waitBundlesInstalled(List, long)`
org.apache.sling.testing.clients.osgi.OsgiConsoleClient.checkBundleInstalled(String, int, int)
does not respect polling practices; use `OsgiConsoleClient.waitBundleInstalled(String, long, long)` instead
org.apache.sling.testing.clients.osgi.OsgiConsoleClient.editConfigurationWithWait(int, String, String, Map<String, Object>, int...)
use `OsgiConsoleClient.waitEditConfiguration(long, String, String, Map, int...)`
org.apache.sling.testing.clients.osgi.OsgiConsoleClient.getConfigurationWithWait(long, String, int...)
use `OsgiConsoleClient.waitGetConfiguration(long, String, int...)`
org.apache.sling.testing.clients.osgi.OsgiConsoleClient.installBundleWithRetry(File, boolean, int, int, int)
`OsgiConsoleClient.waitInstallBundle(File, boolean, int, long, long)`
org.apache.sling.testing.clients.osgi.OsgiConsoleClient.startBundlewithWait(String, int, int)
use `OsgiConsoleClient.waitStartBundle(String, long, long)`
org.apache.sling.testing.clients.SlingClient.getJsonNode(String, int)
use `SlingClient.waitExists(String, long, long)` and `SlingClient.doGetJson(String, int, int...)` instead
org.apache.sling.testing.clients.SlingClient.getJsonNode(String, int, long, int, int...)
use `SlingClient.waitExists(String, long, long)` and `SlingClient.doGetJson(String, int, int...)` instead
org.apache.sling.testing.clients.SlingClient.waitUntilExists(String, long, int)
use `SlingClient.waitExists(String, long, long)` instead.

Deprecated Constructors
Constructor
Description
org.apache.sling.testing.clients.ClientException(String)
use a constructor of one of the subclasses
org.apache.sling.testing.clients.ClientException(String, int)
use a constructor of one of the subclasses
org.apache.sling.testing.clients.ClientException(String, int, Throwable)
use a constructor of one of the subclasses
org.apache.sling.testing.clients.ClientException(String, Throwable)
use a constructor of one of the subclasses
org.apache.sling.testing.clients.ClientException(String, Throwable, HttpUriRequest, SlingHttpResponse)
use a constructor of one of the subclasses